projects/{projectId}/nda:sign
Signs the NDA attached to the specified project by the current user. The current user must be project team member to sign the NDA.
Resource Information
| Method and URI | POST https://developer.api.autodesk.com/construction/buildingconnected/v2/projects/{projectId}/nda:sign |
| Authentication Context | User context required |
| Required OAuth Scopes | data:write |
| Data Format | JSON |
Request
Headers
| Authorization* string | Must be Bearer <token>, where <token> is a three-legged access token obtained via an Authorization Code flow. |
| Content-Type* string | Must be application/json |
Request
URI Parameters
| projectId string | The ID of a BuildingConnected project. |
Request
Body Structure
Response
HTTP Status Code Summary
| 200 OK | OK |
| 400 Bad Request | The parameters of the requested operation are invalid. |
| 401 Unauthorized | The provided bearer token is not valid. |
| 403 Forbidden | The user or service represented by the bearer token does not have permission to perform this operation. |
| 404 Not Found | The requested resource could not be found. |
| 409 Conflict | The current user has already signed the NDA. |
| 429 Too Many Requests | Rate limit exceeded; wait some time before retrying. The ‘Retry-After’ header might provide the amount of the time to wait. |
| 500 Internal Server Error | An unknown error occurred on the server. |
Response
Body Structure (200)
| id string | The unique generated ID of a project team member. This is not equivalent to a user ID.
Max length: 24 |
| user object | Employment information for a given user on BuildingConnected. |
| id string | The unique BuildingConnected ID of this user.
Max length: 24 |
| autodeskId string | The user’s Autodesk ID. By default this value is null because an Autodesk ID is not a requirement to log in to BuildingConnected.
Users can associate their BuildingConnected user login with an Autodesk ID by going to account settings in BuildingConnected. Default: null |
| emailVerified boolean | Indicates whether the user has verified the listed email address. Possible values:
|
| employmentVerified boolean | Indicates whether the user’s employment at the company has been verified. Possible values:
|
| createdAt datetime: ISO 8601 | The date and time that the user was created, in the following format: YYYY-MM-DDThh:mm:ss.sz (ISO 8601 format). |
| firstName string | The user’s first name. |
| lastName string | The user’s last name. |
| email string | The user’s email address. |
| alternateEmails array: string | The user’s alternate email addresses. |
| avatarImageUrl string | The cached imgix url for the avatar image of the user with size denoted in last two values of rect parameter in the url. |
| jobTitle string | The user’s job title. |
| phoneNumber string | The user’s phone number. |
| companyId string | The unique BuildingConnected ID of the company to which this user belongs.
Max length: 24 |
| isAccountClaimed boolean | Indicates whether the user has claimed their BuildingConnected account. Possible values:
|
| offices array: object | An array of objects describing the offices to which this user belongs. |
| id string | The unique ID of the office.
Max length: 24 |
| isPrimary boolean | Indicates whether this office is the primary office of the user. A user can have only one priamry office. Possible values:
|
| hasBbPro boolean | Indicates whether this office has an active Bid Board Pro subscription at the office level. This reflects the office’s subscription only and is independent of whether individual users have a Bid Board Pro license assigned directly to them. Possible values:
|
| hasBcPro boolean | Indicates whether this office has an active BuildingConnected Pro subscription at the office level. This reflects the office’s subscription only and is independent of whether individual users have a BC Pro license assigned directly to them. Possible values:
|
| officeLead boolean | Indicates whether this user is a lead for this office. Users can set themselves as leads at any time.
|
| name string | The name of this office. |
| address string | The full street address of this office. |
| projectId string | The project of which the user is a member.
Max length: 24 |
| createdBy string | User ID of whomever added this user to the project team.
Max length: 24 |
| isProjectLead boolean | Indicates whether the team member is the project lead.
Possible values:
Note that there can be only one project lead per project. When you set this value to |
| privileges enum:string | Indicates the team member’s permissions on the project if it is a template.
Possible values:
This value must be null or unset if the project is not a template. |
| createdAt datetime: ISO 8601 | The date and time that the user was added to the project, in ISO 8601 format. |
| updatedAt datetime: ISO 8601 | The date and time of the last update to this document, in ISO 8601 format. |
| firstViewedAt datetime: ISO 8601 | The date and time that the user first viewed the project in the BuildingConnected application, in ISO 8601 format. |
| ndaSignedAt string | The date and time that the user signed the NDA for the project, in ISO 8601 format. Default value is NULL. |
| ndaSignedIpAddress string | The IP address of the user when that user signed the NDA. Default value is null. |
| notificationPreferences enum:string | Notification preferences selected by the user for this project. Possible values:
|
| subscribedBidPackages array: string | An array of the IDs of selected bid packages that the member will receive notifications from.
Note that this value is relevant only if the value of The member can subscribe to a maximum of 1000 bid packages. |
Example
OK
Request
curl -v 'https://developer.api.autodesk.com/construction/buildingconnected/v2/projects/:projectId/nda:sign' \
-X 'POST' \
-H 'Authorization: Bearer AuIPTf4KYLTYGVnOHQ0cuolwCW2a' \
-H 'Content-Type: application/json' \
-d '{}'
Response
{
"id": "5d8104b87e392d56e1e4b4ca",
"user": {
"id": "5d8104b87e392d56e1e4b4ca",
"autodeskId": null,
"emailVerified": true,
"employmentVerified": true,
"createdAt": "2021-08-19T23:07:16.083Z",
"firstName": "First",
"lastName": "Last",
"email": "email@example.com",
"alternateEmails": [
"email@alternate.com"
],
"avatarImageUrl": "https://www.example.com/image.png?auto=format&rect=208,16,300,299",
"jobTitle": "Estimator",
"phoneNumber": "555-555-5555",
"companyId": "5d8104b87e392d56e1e4c7df",
"isAccountClaimed": true,
"offices": [
{
"id": "5b7104b87e392d56e1e4b3bf",
"isPrimary": true,
"hasBbPro": true,
"hasBcPro": false,
"officeLead": false,
"name": "San Francisco",
"address": "600 California St., 6th Floor, San Francisco, CA 94108"
}
]
},
"projectId": "5d8104b87e392d56e3d4b5ca",
"createdBy": "5d8104b87e392d56e3d4b5cd",
"isProjectLead": false,
"privileges": "ADMIN",
"createdAt": "2020-12-07T18:00:00.000Z",
"updatedAt": "2021-01-10T13:00:00.000Z",
"firstViewedAt": "2021-01-08T13:00:00.000Z",
"ndaSignedAt": null,
"ndaSignedIpAddress": null,
"notificationPreferences": "ALL",
"subscribedBidPackages": []
}